Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network141.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
141.0.0.0
Broadcast address
141.255.255.255
First usable
141.0.0.1
Last usable
141.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 8D000000 · Integer 2365587456 to 2382364671
Reverse DNS zone
141.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001101..00000000.00000000.00000000141.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10001101..00000000.00000000.00000000141.0.0.0
Broadcast10001101..11111111.11111111.11111111141.255.255.255
Split into smaller subnets/17

141.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1141.0.0.0/17141.0.0.1 to 141.0.127.254141.0.127.25532,766
2141.0.128.0/17141.0.128.1 to 141.0.255.254141.0.255.25532,766
3141.1.0.0/17141.1.0.1 to 141.1.127.254141.1.127.25532,766
4141.1.128.0/17141.1.128.1 to 141.1.255.254141.1.255.25532,766
5141.2.0.0/17141.2.0.1 to 141.2.127.254141.2.127.25532,766
6141.2.128.0/17141.2.128.1 to 141.2.255.254141.2.255.25532,766
7141.3.0.0/17141.3.0.1 to 141.3.127.254141.3.127.25532,766
8141.3.128.0/17141.3.128.1 to 141.3.255.254141.3.255.25532,766
9141.4.0.0/17141.4.0.1 to 141.4.127.254141.4.127.25532,766
10141.4.128.0/17141.4.128.1 to 141.4.255.254141.4.255.25532,766
11141.5.0.0/17141.5.0.1 to 141.5.127.254141.5.127.25532,766
12141.5.128.0/17141.5.128.1 to 141.5.255.254141.5.255.25532,766
13141.6.0.0/17141.6.0.1 to 141.6.127.254141.6.127.25532,766
14141.6.128.0/17141.6.128.1 to 141.6.255.254141.6.255.25532,766
15141.7.0.0/17141.7.0.1 to 141.7.127.254141.7.127.25532,766
16141.7.128.0/17141.7.128.1 to 141.7.255.254141.7.255.25532,766
17141.8.0.0/17141.8.0.1 to 141.8.127.254141.8.127.25532,766
18141.8.128.0/17141.8.128.1 to 141.8.255.254141.8.255.25532,766
19141.9.0.0/17141.9.0.1 to 141.9.127.254141.9.127.25532,766
20141.9.128.0/17141.9.128.1 to 141.9.255.254141.9.255.25532,766
21141.10.0.0/17141.10.0.1 to 141.10.127.254141.10.127.25532,766
22141.10.128.0/17141.10.128.1 to 141.10.255.254141.10.255.25532,766
23141.11.0.0/17141.11.0.1 to 141.11.127.254141.11.127.25532,766
24141.11.128.0/17141.11.128.1 to 141.11.255.254141.11.255.25532,766
25141.12.0.0/17141.12.0.1 to 141.12.127.254141.12.127.25532,766
26141.12.128.0/17141.12.128.1 to 141.12.255.254141.12.255.25532,766
27141.13.0.0/17141.13.0.1 to 141.13.127.254141.13.127.25532,766
28141.13.128.0/17141.13.128.1 to 141.13.255.254141.13.255.25532,766
29141.14.0.0/17141.14.0.1 to 141.14.127.254141.14.127.25532,766
30141.14.128.0/17141.14.128.1 to 141.14.255.254141.14.255.25532,766
31141.15.0.0/17141.15.0.1 to 141.15.127.254141.15.127.25532,766
32141.15.128.0/17141.15.128.1 to 141.15.255.254141.15.255.25532,766
33141.16.0.0/17141.16.0.1 to 141.16.127.254141.16.127.25532,766
34141.16.128.0/17141.16.128.1 to 141.16.255.254141.16.255.25532,766
35141.17.0.0/17141.17.0.1 to 141.17.127.254141.17.127.25532,766
36141.17.128.0/17141.17.128.1 to 141.17.255.254141.17.255.25532,766
37141.18.0.0/17141.18.0.1 to 141.18.127.254141.18.127.25532,766
38141.18.128.0/17141.18.128.1 to 141.18.255.254141.18.255.25532,766
39141.19.0.0/17141.19.0.1 to 141.19.127.254141.19.127.25532,766
40141.19.128.0/17141.19.128.1 to 141.19.255.254141.19.255.25532,766
41141.20.0.0/17141.20.0.1 to 141.20.127.254141.20.127.25532,766
42141.20.128.0/17141.20.128.1 to 141.20.255.254141.20.255.25532,766
43141.21.0.0/17141.21.0.1 to 141.21.127.254141.21.127.25532,766
44141.21.128.0/17141.21.128.1 to 141.21.255.254141.21.255.25532,766
45141.22.0.0/17141.22.0.1 to 141.22.127.254141.22.127.25532,766
46141.22.128.0/17141.22.128.1 to 141.22.255.254141.22.255.25532,766
47141.23.0.0/17141.23.0.1 to 141.23.127.254141.23.127.25532,766
48141.23.128.0/17141.23.128.1 to 141.23.255.254141.23.255.25532,766
49141.24.0.0/17141.24.0.1 to 141.24.127.254141.24.127.25532,766
50141.24.128.0/17141.24.128.1 to 141.24.255.254141.24.255.25532,766
51141.25.0.0/17141.25.0.1 to 141.25.127.254141.25.127.25532,766
52141.25.128.0/17141.25.128.1 to 141.25.255.254141.25.255.25532,766
53141.26.0.0/17141.26.0.1 to 141.26.127.254141.26.127.25532,766
54141.26.128.0/17141.26.128.1 to 141.26.255.254141.26.255.25532,766
55141.27.0.0/17141.27.0.1 to 141.27.127.254141.27.127.25532,766
56141.27.128.0/17141.27.128.1 to 141.27.255.254141.27.255.25532,766
57141.28.0.0/17141.28.0.1 to 141.28.127.254141.28.127.25532,766
58141.28.128.0/17141.28.128.1 to 141.28.255.254141.28.255.25532,766
59141.29.0.0/17141.29.0.1 to 141.29.127.254141.29.127.25532,766
60141.29.128.0/17141.29.128.1 to 141.29.255.254141.29.255.25532,766
61141.30.0.0/17141.30.0.1 to 141.30.127.254141.30.127.25532,766
62141.30.128.0/17141.30.128.1 to 141.30.255.254141.30.255.25532,766
63141.31.0.0/17141.31.0.1 to 141.31.127.254141.31.127.25532,766
64141.31.128.0/17141.31.128.1 to 141.31.255.254141.31.255.25532,766
65141.32.0.0/17141.32.0.1 to 141.32.127.254141.32.127.25532,766
66141.32.128.0/17141.32.128.1 to 141.32.255.254141.32.255.25532,766
67141.33.0.0/17141.33.0.1 to 141.33.127.254141.33.127.25532,766
68141.33.128.0/17141.33.128.1 to 141.33.255.254141.33.255.25532,766
69141.34.0.0/17141.34.0.1 to 141.34.127.254141.34.127.25532,766
70141.34.128.0/17141.34.128.1 to 141.34.255.254141.34.255.25532,766
71141.35.0.0/17141.35.0.1 to 141.35.127.254141.35.127.25532,766
72141.35.128.0/17141.35.128.1 to 141.35.255.254141.35.255.25532,766
73141.36.0.0/17141.36.0.1 to 141.36.127.254141.36.127.25532,766
74141.36.128.0/17141.36.128.1 to 141.36.255.254141.36.255.25532,766
75141.37.0.0/17141.37.0.1 to 141.37.127.254141.37.127.25532,766
76141.37.128.0/17141.37.128.1 to 141.37.255.254141.37.255.25532,766
77141.38.0.0/17141.38.0.1 to 141.38.127.254141.38.127.25532,766
78141.38.128.0/17141.38.128.1 to 141.38.255.254141.38.255.25532,766
79141.39.0.0/17141.39.0.1 to 141.39.127.254141.39.127.25532,766
80141.39.128.0/17141.39.128.1 to 141.39.255.254141.39.255.25532,766
81141.40.0.0/17141.40.0.1 to 141.40.127.254141.40.127.25532,766
82141.40.128.0/17141.40.128.1 to 141.40.255.254141.40.255.25532,766
83141.41.0.0/17141.41.0.1 to 141.41.127.254141.41.127.25532,766
84141.41.128.0/17141.41.128.1 to 141.41.255.254141.41.255.25532,766
85141.42.0.0/17141.42.0.1 to 141.42.127.254141.42.127.25532,766
86141.42.128.0/17141.42.128.1 to 141.42.255.254141.42.255.25532,766
87141.43.0.0/17141.43.0.1 to 141.43.127.254141.43.127.25532,766
88141.43.128.0/17141.43.128.1 to 141.43.255.254141.43.255.25532,766
89141.44.0.0/17141.44.0.1 to 141.44.127.254141.44.127.25532,766
90141.44.128.0/17141.44.128.1 to 141.44.255.254141.44.255.25532,766
91141.45.0.0/17141.45.0.1 to 141.45.127.254141.45.127.25532,766
92141.45.128.0/17141.45.128.1 to 141.45.255.254141.45.255.25532,766
93141.46.0.0/17141.46.0.1 to 141.46.127.254141.46.127.25532,766
94141.46.128.0/17141.46.128.1 to 141.46.255.254141.46.255.25532,766
95141.47.0.0/17141.47.0.1 to 141.47.127.254141.47.127.25532,766
96141.47.128.0/17141.47.128.1 to 141.47.255.254141.47.255.25532,766
97141.48.0.0/17141.48.0.1 to 141.48.127.254141.48.127.25532,766
98141.48.128.0/17141.48.128.1 to 141.48.255.254141.48.255.25532,766
99141.49.0.0/17141.49.0.1 to 141.49.127.254141.49.127.25532,766
100141.49.128.0/17141.49.128.1 to 141.49.255.254141.49.255.25532,766
101141.50.0.0/17141.50.0.1 to 141.50.127.254141.50.127.25532,766
102141.50.128.0/17141.50.128.1 to 141.50.255.254141.50.255.25532,766
103141.51.0.0/17141.51.0.1 to 141.51.127.254141.51.127.25532,766
104141.51.128.0/17141.51.128.1 to 141.51.255.254141.51.255.25532,766
105141.52.0.0/17141.52.0.1 to 141.52.127.254141.52.127.25532,766
106141.52.128.0/17141.52.128.1 to 141.52.255.254141.52.255.25532,766
107141.53.0.0/17141.53.0.1 to 141.53.127.254141.53.127.25532,766
108141.53.128.0/17141.53.128.1 to 141.53.255.254141.53.255.25532,766
109141.54.0.0/17141.54.0.1 to 141.54.127.254141.54.127.25532,766
110141.54.128.0/17141.54.128.1 to 141.54.255.254141.54.255.25532,766
111141.55.0.0/17141.55.0.1 to 141.55.127.254141.55.127.25532,766
112141.55.128.0/17141.55.128.1 to 141.55.255.254141.55.255.25532,766
113141.56.0.0/17141.56.0.1 to 141.56.127.254141.56.127.25532,766
114141.56.128.0/17141.56.128.1 to 141.56.255.254141.56.255.25532,766
115141.57.0.0/17141.57.0.1 to 141.57.127.254141.57.127.25532,766
116141.57.128.0/17141.57.128.1 to 141.57.255.254141.57.255.25532,766
117141.58.0.0/17141.58.0.1 to 141.58.127.254141.58.127.25532,766
118141.58.128.0/17141.58.128.1 to 141.58.255.254141.58.255.25532,766
119141.59.0.0/17141.59.0.1 to 141.59.127.254141.59.127.25532,766
120141.59.128.0/17141.59.128.1 to 141.59.255.254141.59.255.25532,766
121141.60.0.0/17141.60.0.1 to 141.60.127.254141.60.127.25532,766
122141.60.128.0/17141.60.128.1 to 141.60.255.254141.60.255.25532,766
123141.61.0.0/17141.61.0.1 to 141.61.127.254141.61.127.25532,766
124141.61.128.0/17141.61.128.1 to 141.61.255.254141.61.255.25532,766
125141.62.0.0/17141.62.0.1 to 141.62.127.254141.62.127.25532,766
126141.62.128.0/17141.62.128.1 to 141.62.255.254141.62.255.25532,766
127141.63.0.0/17141.63.0.1 to 141.63.127.254141.63.127.25532,766
128141.63.128.0/17141.63.128.1 to 141.63.255.254141.63.255.25532,766
129141.64.0.0/17141.64.0.1 to 141.64.127.254141.64.127.25532,766
130141.64.128.0/17141.64.128.1 to 141.64.255.254141.64.255.25532,766
131141.65.0.0/17141.65.0.1 to 141.65.127.254141.65.127.25532,766
132141.65.128.0/17141.65.128.1 to 141.65.255.254141.65.255.25532,766
133141.66.0.0/17141.66.0.1 to 141.66.127.254141.66.127.25532,766
134141.66.128.0/17141.66.128.1 to 141.66.255.254141.66.255.25532,766
135141.67.0.0/17141.67.0.1 to 141.67.127.254141.67.127.25532,766
136141.67.128.0/17141.67.128.1 to 141.67.255.254141.67.255.25532,766
137141.68.0.0/17141.68.0.1 to 141.68.127.254141.68.127.25532,766
138141.68.128.0/17141.68.128.1 to 141.68.255.254141.68.255.25532,766
139141.69.0.0/17141.69.0.1 to 141.69.127.254141.69.127.25532,766
140141.69.128.0/17141.69.128.1 to 141.69.255.254141.69.255.25532,766
141141.70.0.0/17141.70.0.1 to 141.70.127.254141.70.127.25532,766
142141.70.128.0/17141.70.128.1 to 141.70.255.254141.70.255.25532,766
143141.71.0.0/17141.71.0.1 to 141.71.127.254141.71.127.25532,766
144141.71.128.0/17141.71.128.1 to 141.71.255.254141.71.255.25532,766
145141.72.0.0/17141.72.0.1 to 141.72.127.254141.72.127.25532,766
146141.72.128.0/17141.72.128.1 to 141.72.255.254141.72.255.25532,766
147141.73.0.0/17141.73.0.1 to 141.73.127.254141.73.127.25532,766
148141.73.128.0/17141.73.128.1 to 141.73.255.254141.73.255.25532,766
149141.74.0.0/17141.74.0.1 to 141.74.127.254141.74.127.25532,766
150141.74.128.0/17141.74.128.1 to 141.74.255.254141.74.255.25532,766
151141.75.0.0/17141.75.0.1 to 141.75.127.254141.75.127.25532,766
152141.75.128.0/17141.75.128.1 to 141.75.255.254141.75.255.25532,766
153141.76.0.0/17141.76.0.1 to 141.76.127.254141.76.127.25532,766
154141.76.128.0/17141.76.128.1 to 141.76.255.254141.76.255.25532,766
155141.77.0.0/17141.77.0.1 to 141.77.127.254141.77.127.25532,766
156141.77.128.0/17141.77.128.1 to 141.77.255.254141.77.255.25532,766
157141.78.0.0/17141.78.0.1 to 141.78.127.254141.78.127.25532,766
158141.78.128.0/17141.78.128.1 to 141.78.255.254141.78.255.25532,766
159141.79.0.0/17141.79.0.1 to 141.79.127.254141.79.127.25532,766
160141.79.128.0/17141.79.128.1 to 141.79.255.254141.79.255.25532,766
161141.80.0.0/17141.80.0.1 to 141.80.127.254141.80.127.25532,766
162141.80.128.0/17141.80.128.1 to 141.80.255.254141.80.255.25532,766
163141.81.0.0/17141.81.0.1 to 141.81.127.254141.81.127.25532,766
164141.81.128.0/17141.81.128.1 to 141.81.255.254141.81.255.25532,766
165141.82.0.0/17141.82.0.1 to 141.82.127.254141.82.127.25532,766
166141.82.128.0/17141.82.128.1 to 141.82.255.254141.82.255.25532,766
167141.83.0.0/17141.83.0.1 to 141.83.127.254141.83.127.25532,766
168141.83.128.0/17141.83.128.1 to 141.83.255.254141.83.255.25532,766
169141.84.0.0/17141.84.0.1 to 141.84.127.254141.84.127.25532,766
170141.84.128.0/17141.84.128.1 to 141.84.255.254141.84.255.25532,766
171141.85.0.0/17141.85.0.1 to 141.85.127.254141.85.127.25532,766
172141.85.128.0/17141.85.128.1 to 141.85.255.254141.85.255.25532,766
173141.86.0.0/17141.86.0.1 to 141.86.127.254141.86.127.25532,766
174141.86.128.0/17141.86.128.1 to 141.86.255.254141.86.255.25532,766
175141.87.0.0/17141.87.0.1 to 141.87.127.254141.87.127.25532,766
176141.87.128.0/17141.87.128.1 to 141.87.255.254141.87.255.25532,766
177141.88.0.0/17141.88.0.1 to 141.88.127.254141.88.127.25532,766
178141.88.128.0/17141.88.128.1 to 141.88.255.254141.88.255.25532,766
179141.89.0.0/17141.89.0.1 to 141.89.127.254141.89.127.25532,766
180141.89.128.0/17141.89.128.1 to 141.89.255.254141.89.255.25532,766
181141.90.0.0/17141.90.0.1 to 141.90.127.254141.90.127.25532,766
182141.90.128.0/17141.90.128.1 to 141.90.255.254141.90.255.25532,766
183141.91.0.0/17141.91.0.1 to 141.91.127.254141.91.127.25532,766
184141.91.128.0/17141.91.128.1 to 141.91.255.254141.91.255.25532,766
185141.92.0.0/17141.92.0.1 to 141.92.127.254141.92.127.25532,766
186141.92.128.0/17141.92.128.1 to 141.92.255.254141.92.255.25532,766
187141.93.0.0/17141.93.0.1 to 141.93.127.254141.93.127.25532,766
188141.93.128.0/17141.93.128.1 to 141.93.255.254141.93.255.25532,766
189141.94.0.0/17141.94.0.1 to 141.94.127.254141.94.127.25532,766
190141.94.128.0/17141.94.128.1 to 141.94.255.254141.94.255.25532,766
191141.95.0.0/17141.95.0.1 to 141.95.127.254141.95.127.25532,766
192141.95.128.0/17141.95.128.1 to 141.95.255.254141.95.255.25532,766
193141.96.0.0/17141.96.0.1 to 141.96.127.254141.96.127.25532,766
194141.96.128.0/17141.96.128.1 to 141.96.255.254141.96.255.25532,766
195141.97.0.0/17141.97.0.1 to 141.97.127.254141.97.127.25532,766
196141.97.128.0/17141.97.128.1 to 141.97.255.254141.97.255.25532,766
197141.98.0.0/17141.98.0.1 to 141.98.127.254141.98.127.25532,766
198141.98.128.0/17141.98.128.1 to 141.98.255.254141.98.255.25532,766
199141.99.0.0/17141.99.0.1 to 141.99.127.254141.99.127.25532,766
200141.99.128.0/17141.99.128.1 to 141.99.255.254141.99.255.25532,766
201141.100.0.0/17141.100.0.1 to 141.100.127.254141.100.127.25532,766
202141.100.128.0/17141.100.128.1 to 141.100.255.254141.100.255.25532,766
203141.101.0.0/17141.101.0.1 to 141.101.127.254141.101.127.25532,766
204141.101.128.0/17141.101.128.1 to 141.101.255.254141.101.255.25532,766
205141.102.0.0/17141.102.0.1 to 141.102.127.254141.102.127.25532,766
206141.102.128.0/17141.102.128.1 to 141.102.255.254141.102.255.25532,766
207141.103.0.0/17141.103.0.1 to 141.103.127.254141.103.127.25532,766
208141.103.128.0/17141.103.128.1 to 141.103.255.254141.103.255.25532,766
209141.104.0.0/17141.104.0.1 to 141.104.127.254141.104.127.25532,766
210141.104.128.0/17141.104.128.1 to 141.104.255.254141.104.255.25532,766
211141.105.0.0/17141.105.0.1 to 141.105.127.254141.105.127.25532,766
212141.105.128.0/17141.105.128.1 to 141.105.255.254141.105.255.25532,766
213141.106.0.0/17141.106.0.1 to 141.106.127.254141.106.127.25532,766
214141.106.128.0/17141.106.128.1 to 141.106.255.254141.106.255.25532,766
215141.107.0.0/17141.107.0.1 to 141.107.127.254141.107.127.25532,766
216141.107.128.0/17141.107.128.1 to 141.107.255.254141.107.255.25532,766
217141.108.0.0/17141.108.0.1 to 141.108.127.254141.108.127.25532,766
218141.108.128.0/17141.108.128.1 to 141.108.255.254141.108.255.25532,766
219141.109.0.0/17141.109.0.1 to 141.109.127.254141.109.127.25532,766
220141.109.128.0/17141.109.128.1 to 141.109.255.254141.109.255.25532,766
221141.110.0.0/17141.110.0.1 to 141.110.127.254141.110.127.25532,766
222141.110.128.0/17141.110.128.1 to 141.110.255.254141.110.255.25532,766
223141.111.0.0/17141.111.0.1 to 141.111.127.254141.111.127.25532,766
224141.111.128.0/17141.111.128.1 to 141.111.255.254141.111.255.25532,766
225141.112.0.0/17141.112.0.1 to 141.112.127.254141.112.127.25532,766
226141.112.128.0/17141.112.128.1 to 141.112.255.254141.112.255.25532,766
227141.113.0.0/17141.113.0.1 to 141.113.127.254141.113.127.25532,766
228141.113.128.0/17141.113.128.1 to 141.113.255.254141.113.255.25532,766
229141.114.0.0/17141.114.0.1 to 141.114.127.254141.114.127.25532,766
230141.114.128.0/17141.114.128.1 to 141.114.255.254141.114.255.25532,766
231141.115.0.0/17141.115.0.1 to 141.115.127.254141.115.127.25532,766
232141.115.128.0/17141.115.128.1 to 141.115.255.254141.115.255.25532,766
233141.116.0.0/17141.116.0.1 to 141.116.127.254141.116.127.25532,766
234141.116.128.0/17141.116.128.1 to 141.116.255.254141.116.255.25532,766
235141.117.0.0/17141.117.0.1 to 141.117.127.254141.117.127.25532,766
236141.117.128.0/17141.117.128.1 to 141.117.255.254141.117.255.25532,766
237141.118.0.0/17141.118.0.1 to 141.118.127.254141.118.127.25532,766
238141.118.128.0/17141.118.128.1 to 141.118.255.254141.118.255.25532,766
239141.119.0.0/17141.119.0.1 to 141.119.127.254141.119.127.25532,766
240141.119.128.0/17141.119.128.1 to 141.119.255.254141.119.255.25532,766
241141.120.0.0/17141.120.0.1 to 141.120.127.254141.120.127.25532,766
242141.120.128.0/17141.120.128.1 to 141.120.255.254141.120.255.25532,766
243141.121.0.0/17141.121.0.1 to 141.121.127.254141.121.127.25532,766
244141.121.128.0/17141.121.128.1 to 141.121.255.254141.121.255.25532,766
245141.122.0.0/17141.122.0.1 to 141.122.127.254141.122.127.25532,766
246141.122.128.0/17141.122.128.1 to 141.122.255.254141.122.255.25532,766
247141.123.0.0/17141.123.0.1 to 141.123.127.254141.123.127.25532,766
248141.123.128.0/17141.123.128.1 to 141.123.255.254141.123.255.25532,766
249141.124.0.0/17141.124.0.1 to 141.124.127.254141.124.127.25532,766
250141.124.128.0/17141.124.128.1 to 141.124.255.254141.124.255.25532,766
251141.125.0.0/17141.125.0.1 to 141.125.127.254141.125.127.25532,766
252141.125.128.0/17141.125.128.1 to 141.125.255.254141.125.255.25532,766
253141.126.0.0/17141.126.0.1 to 141.126.127.254141.126.127.25532,766
254141.126.128.0/17141.126.128.1 to 141.126.255.254141.126.255.25532,766
255141.127.0.0/17141.127.0.1 to 141.127.127.254141.127.127.25532,766
256141.127.128.0/17141.127.128.1 to 141.127.255.254141.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses